jif.parse

## Class UTF8FileSource

- java.lang.Object
- - javax.tools.ForwardingFileObject<javax.tools.FileObject>
  - - polyglot.frontend.Source_c
    - - jif.parse.UTF8FileSource

- All Implemented Interfaces:
    javax.tools.FileObject, polyglot.frontend.FileSource, polyglot.frontend.Source

      public class UTF8FileSource
      extends polyglot.frontend.Source_c

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.frontend.Source

      `polyglot.frontend.Source.Kind`

  - ### Field Summary

    - ### Fields inherited from class polyglot.frontend.Source_c

      `kind`

    - ### Fields inherited from class javax.tools.ForwardingFileObject

      `fileObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTF8FileSource(javax.tools.FileObject f, polyglot.frontend.Source.Kind kind)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `openReader(boolean ignoreEncodingErrors)`

    - ### Methods inherited from class polyglot.frontend.Source_c

      `compilerGenerated, equals, hashCode, kind, name, path, setKind, setUserSpecified, toString, userSpecified`

    - ### Methods inherited from class javax.tools.ForwardingFileObject

      `delete, getCharContent, getLastModified, getName, openInputStream, openOutputStream, openWriter, toUri`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.tools.FileObject

      `delete, getCharContent, getLastModified, getName, openInputStream, openOutputStream, openWriter, toUri`

- - ### Constructor Detail

    - #### UTF8FileSource

          public UTF8FileSource(javax.tools.FileObject f,
                                polyglot.frontend.Source.Kind kind)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### openReader

          public java.io.Reader openReader(boolean ignoreEncodingErrors)
                                    throws java.io.IOException

      Specified by:
        `openReader` in interface `javax.tools.FileObject`
      Overrides:
        `openReader` in class `polyglot.frontend.Source_c`
      Throws:
        `java.io.IOException`